| Home | Libraries | People | FAQ | More

###### http::basic_fields::find (1 of 2 overloads)

Returns an iterator to the case-insensitive matching field.

###### Synopsis

    const_iterator
    find(
        field name) const;

###### Description

If more than one field with the specified name exists, the first field defined by insertion order is returned.

###### Parameters

Name | Description
--- | ---
`name` | The field name.

###### Return Value

An iterator to the matching field, or `end()` if no match was found.